com.genesyslab.wfm8.API.service.config812

## Class CfgActivityShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgActivityShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivityShort
      extends java.lang.Object
      implements java.io.Serializable

  "Short" Activity information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmActivityId` Activity ID
    `protected int` | `wmActivitySetId` Activity Set ID that Activity belongs to--can be zero, meaning that Activity does not belong to any Activity Set.
    `protected java.lang.String` | `wmName` Name of Activity
    `protected java.lang.String` | `wmShortName` Short Name of Activity
    `protected int` | `wmSiteId` Site ID that Activity belongs to
    `protected int` | `wmType` Activity Type (ECfgActivityType)
    `protected int` | `wmVirtualActivityId` Multi-Site Activity ID that Activity belongs to--can be zero, meaning that Activity does not belong to any Multi-Site Activity.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivityShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmActivityId()` Gets the value of the wmActivityId property.
    `int` | `getWmActivitySetId()` Gets the value of the wmActivitySetId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `getWmVirtualActivityId()` Gets the value of the wmVirtualActivityId property.
    `int` | `hashCode()`
    `void` | `setWmActivityId(int value)` Sets the value of the wmActivityId property.
    `void` | `setWmActivitySetId(int value)` Sets the value of the wmActivitySetId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `void` | `setWmVirtualActivityId(int value)` Sets the value of the wmVirtualActivityId property.
    `java.lang.String` | `toString()`
    `CfgActivityShort` | `withWmActivityId(int value)`
    `CfgActivityShort` | `withWmActivitySetId(int value)`
    `CfgActivityShort` | `withWmName(java.lang.String value)`
    `CfgActivityShort` | `withWmShortName(java.lang.String value)`
    `CfgActivityShort` | `withWmSiteId(int value)`
    `CfgActivityShort` | `withWmType(int value)`
    `CfgActivityShort` | `withWmVirtualActivityId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmActivityId

          protected int wmActivityId

      Activity ID

    - #### wmSiteId

          protected int wmSiteId

      Site ID that Activity belongs to

    - #### wmVirtualActivityId

          protected int wmVirtualActivityId

      Multi-Site Activity ID that Activity belongs to--can be zero, meaning that Activity does not belong to any Multi-Site Activity.

    - #### wmActivitySetId

          protected int wmActivitySetId

      Activity Set ID that Activity belongs to--can be zero, meaning that Activity does not belong to any Activity Set.

    - #### wmName

          protected java.lang.String wmName

      Name of Activity

    - #### wmShortName

          protected java.lang.String wmShortName

      Short Name of Activity

    - #### wmType

          protected int wmType

      Activity Type (ECfgActivityType)

  - ### Constructor Detail

    - #### CfgActivityShort

          public CfgActivityShort()

  - ### Method Detail

    - #### getWmActivityId

          public int getWmActivityId()

      Gets the value of the wmActivityId property.

    - #### setWmActivityId

          public void setWmActivityId(int value)

      Sets the value of the wmActivityId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmVirtualActivityId

          public int getWmVirtualActivityId()

      Gets the value of the wmVirtualActivityId property.

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int value)

      Sets the value of the wmVirtualActivityId property.

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the value of the wmActivitySetId property.

    - #### setWmActivitySetId

          public void setWmActivitySetId(int value)

      Sets the value of the wmActivitySetId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### withWmActivityId

          public CfgActivityShort withWmActivityId(int value)

    - #### withWmSiteId

          public CfgActivityShort withWmSiteId(int value)

    - #### withWmVirtualActivityId

          public CfgActivityShort withWmVirtualActivityId(int value)

    - #### withWmActivitySetId

          public CfgActivityShort withWmActivitySetId(int value)

    - #### withWmName

          public CfgActivityShort withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgActivityShort withWmShortName(java.lang.String value)

    - #### withWmType

          public CfgActivityShort withWmType(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.